DEV: update haml to latest in test env

DEV: update haml to latest in test env

haml version 4 has some security vuls, test suite works just fine with haml 5

diff --git a/onebox.gemspec b/onebox.gemspec
index a553472..dc5ddc4 100644
--- a/onebox.gemspec
+++ b/onebox.gemspec
@@ -38,7 +38,7 @@ Gem::Specification.new do |spec|
   spec.add_development_dependency 'guard-rspec', '~> 4.2.8'
   spec.add_development_dependency 'sinatra', '~> 1.4'
   spec.add_development_dependency 'sinatra-contrib', '~> 1.4'
-  spec.add_development_dependency 'haml', '~> 4.0'
+  spec.add_development_dependency 'haml', '~> 5.1'
   spec.add_development_dependency 'listen', '~> 2.10.0'
 
   spec.required_ruby_version = '>=2.4.0'

GitHub sha: 5b297c3a